﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/framework/framework_Definitions.h>


/*!
  @namespace  nn::pia::framework
  @brief      PiaFramework の名前空間です。
  PiaFramework は、他のモジュールの機能を統合するモジュールです。
 */
namespace nn
{
namespace pia
{
namespace framework
{
}
}
}

#include <nn/pia/framework/framework_Api.h>
#include <nn/pia/framework/framework_Framework.h>

#if NN_PIA_FRAMEWORK_ENABLE_NEX
#include <nn/pia/framework/framework_NexService.h>
#endif

#if NN_PIA_FRAMEWORK_ENABLE_PLAY
#include <nn/pia/framework/framework_PlayService.h>
#endif
