﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/local/local_Definitions.h>
#include <nn/pia/local/local_LocalNetworkSetting.h>

namespace nn
{
namespace pia
{
namespace local
{

const uint32_t GatheringholderMaxSize = ScanNetworkNumMax;  //!< 保持するネットワークのスキャン結果の最大個数です。
const uint16_t InvalidParticipantsNum = 0xffff;
const int BssIdSize = 6;    //!< BssId のサイズ (Bytes)

const uint32_t SessionUserPasswordLengthMax = 8; //!< ユーザーパスワードに設定できる最大文字数
}
}
}  // end of namespace nn::pia::local
