﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/

#pragma once


#define PIA_VERSION_DATE           20170908
#define PIA_VERSION_MAJOR          5
#define PIA_VERSION_MINOR          4
#define PIA_VERSION_MICRO          3
#define PIA_VERSION_PATCH          
#define PIA_VERSION_REVISION       30561

#define PIA_VER_STR(version) PIA_VER_STR_(version)
#define PIA_VER_STR_(version) #version

// Only the first 16 characters can be embedded as middleware information.
#define PIA_VERSION_STRING "PIA_" PIA_VER_STR(PIA_VERSION_MAJOR) "_" PIA_VER_STR(PIA_VERSION_MINOR) "_" PIA_VER_STR(PIA_VERSION_MICRO) PIA_VERSION_PATCH

