﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once


/*!
  @namespace  nn::pia::reckoning
  @brief      PiaReckoning の名前空間です。
  PiaReckoning モジュールは、 PiaClone 上で推測航法を用いて値の共有を行うためのモジュールです。
 */
namespace nn
{
namespace pia
{
namespace reckoning
{
}
}
}  // end of namespace nn::pia::reckoning

#include <nn/pia/reckoning/reckoning_Api.h>
#include <nn/pia/reckoning/reckoning_ReckoningCloneElement.h>
#include <nn/pia/reckoning/reckoning_Vector3f.h>
#include <nn/pia/reckoning/reckoning_Simple3dReckoningStrategy.h>
