﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/pia_Platform.h>  // uint32_t型の解決に必要


namespace nns
{
namespace pia
{
namespace sampleframework
{

// シンボル名と値については、CTRのものをそのままコピペしています。

const uint32_t ButtonA = 0x00000001;
const uint32_t ButtonB = 0x00000002;
const uint32_t ButtonSelect = 0x00000004;
const uint32_t ButtonStart = 0x00000008;
const uint32_t ButtonRight = 0x00000010;
const uint32_t ButtonLeft = 0x00000020;
const uint32_t ButtonUp = 0x00000040;
const uint32_t ButtonDown = 0x00000080;

const uint32_t ButtonR = 0x00000100;
const uint32_t ButtonL = 0x00000200;
const uint32_t ButtonX = 0x00000400;
const uint32_t ButtonY = 0x00000800;
}
}
}  // end of namespace nns::pia::sampleframework
