﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#include "AppTrace.h"

#include <stdarg.h>
#include <nn/pia/common.h>

namespace
{
}  // end of anonymous namespace

namespace nns
{
namespace pia
{

AppTrace AppTrace::s_Instance;


void AppTrace::Write(const char* pFmt, ...)
{
    va_list ap;
    va_start(ap, pFmt);
    PIA_BASIC_VPRINT(pFmt, ap);
    va_end(ap);
}

// デバッグに有用な情報のプリント。
void AppTrace::Trace(uint64_t flag) const
{
    (void)flag;
}
}
}  // end of namespace nns::pia
