﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/pia_Platform.h>
#include <nn/pia/common.h>

#define PIA_HEAP_ALIGN 8

namespace nns
{
namespace pia
{

nn::pia::Result Common_InitializePiaCommon(
    uint8_t* pPiaHeapBuffer,
    uint32_t szPiaHeapBufferSize,
    uint64_t traceFlags = 0,
    bool enableCachedPrint = false,
    bool enableExceptionHook = false);

void Common_FinalizePiaCommon();
}
}  // end of namespace nns::pia
