﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/pia_Platform.h>

#include "Defines.h"
#include "AppTrace.h"
#include "Assert.h"
#include "ErrorHandling.h"
#include "Print.h"
#include "Statistic.h"
#include "Indexer.h"
#include "StringUtil.h"
#include "Thread.h"

#if NN_PIA_CTR
#include "SampleFramework/include/SampleFramework.h"
#include "Profiler.h"
#elif NN_PIA_WIN || NN_PIA_NINTENDOSDK
#include "SampleFramework/include/SampleFramework.h"
#include "Profiler.h"
#elif NN_PIA_CAFE
#include "SampleFramework/include/SampleFramework.h"
#include "Profiler.h"
#elif NN_PIA_A
#include "SampleFramework/include/SampleFramework.h"
#include "Profiler.h"
#elif NN_PIA_B
#include "SampleFramework/include/SampleFramework.h"
#include "Profiler.h"
#else
#error "invalid platform";
#endif
