﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/common/common_Definitions.h>

// パケット関連の定数定義です。

namespace nn
{
namespace pia
{
namespace common
{
static const uint32_t Ipv4HeaderSize = 20;
static const uint32_t UdpHeaderSize = 8;

static const uint32_t PacketSizeMax = 1472;
static const uint32_t PacketHeaderSize = 12;
static const uint32_t PacketPayloadSizeMax = PacketSizeMax - PacketHeaderSize;

static const uint32_t ProtocolMessageSizeMax = PacketPayloadSizeMax;
static const uint32_t ProtocolMessageHeaderSize = 20;
static const uint32_t ProtocolMessgaePayloadSizeMax = ProtocolMessageSizeMax - ProtocolMessageHeaderSize;
}
}
}  // end of namespace nn::pia::common
