﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

//n1589:Piaライブラリの全モジュールの全クラスで通常使われるものをここでインクルード

//デバッグマクロ群のリファレンス生成用の宣言
/*
    リファレンスに出力される「モジュール」を回避するために doxygen で
    認識されないコメントにしています。
    @defgroup   pia_common_debug_macro                 Pia の提供するデバッグ用マクロ定義
    @brief      Pia の提供するデバッグ用マクロです。
    @{
    @}
*/

#include <nn/pia/pia_Settings.h>
#include <nn/pia/pia_Macros.h>
#include <nn/pia/pia_Platform.h>

#include <nn/pia/pia_Types.h>
#include <nn/pia/pia_Result.h>
