﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/pia_Definitions.h>


/*!
  @namespace  nn::pia::sync
  @brief      PiaSync の名前空間です。
  PiaSync は入力同期ゲーム通信を実現するためのモジュールです。
 */

#include <nn/pia/sync/sync_Definitions.h>
#include <nn/pia/sync/sync_Api.h>
#include <nn/pia/sync/sync_SyncProtocol.h>
