﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once


#include <nn/pia/pia_Definitions.h>

//普通の定義はここから
namespace nn
{
namespace pia
{
namespace tune
{
    // コアごとのプロファイリングを行うか
    static const bool IsMultiCoreProfilingEnabled = true;

    // パケロスの測定を行うか
    static const bool IsPacketLossProfilingEnabled = true;
}
}
}  // end of namespace nn::pia::tune

//このモジュールの全クラスのヘッダでインクルードするもの
