﻿/*--------------------------------------------------------------------------------*
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/


#pragma once

#include <nn/pia/common.h>
#include <nn/pia/transport.h>
#include <nn/pia/clone.h>
#include <nn/pia/reckoning.h>

namespace nns
{
namespace pia
{

// PiaReckoning の初期化処理です。
void Reckoning_InitializePiaReckoning();

// PiaReckoning の終了処理です。
void Reckoning_FinalizePiaReckoning();
}
}  // end of namespace nns::pia
